Create or update an "A/B test" node of a Smart Campaign
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/abtest
clientIdstringClient ID
campaignIdinteger<int64>Smart Campaign ID
acceptstringGenerated from available response content types
optimization.scheduledAtstring<date-time>Dispatch time of the messages
optimization.sto.enabledboolean<p>If true, send time optimization is enabled. The "sto" parameters are only considered if one of the "optimization.scheduled" parameters is provided.</p>
optimization.sto.typestring<DAY | WEEK><p>Type of send time optimization (can be combined with "optimization.scheduledAt" scheduler, DAY will be set by other)</p>
optimization.sto.fallbackAtstring<date-time><p>Fallback at time of send time optimization in ISO 8601 format (can be combined with "optimization.scheduledAt" scheduler)</p>
optimization.sto.optimizationEndsAtstring<date-time><p>Optimization ends at time of send time optimization in ISO 8601 format (can be combined with "optimization.scheduledAt" scheduler)</p>
optimization.enabledboolean<p>If true, the automatic optimization is activated</p>
optimization.scheduledWithDelaystringDuration in ISO 8601
optimization.scheduledManuallyboolean<p>If true, the optimization is started manually</p>
optimization.modestring<bestOpenRate | bestUniqueClickRate | bestClickRate | lowestUniqueUnsubscribe | lowestBounceRate | byPostClickValue>Optimization mode
optimization.sto.periodstring<p>Duration of send time optimization in ISO 8601 format (only days (max. 1), hours and minutes (can be combined with "optimization.scheduledWithDelay" and "optimization.scheduledManually" schedulers)</p>
predecessorNodeIdstringPredecessor node
successorNodeIdstringSuccessor node
200<p>The "A/B test" node was updated successfully.</p>
201<p>The "A/B test" node was created successfully.</p>
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/abtest \
--header 'accept: application/json'